Summary:        Python development support library
Name:           python-py
Version:        1.11.0
Release:        7%{?dist}
License:        MIT and Public Domain
URL:            http://py.readthedocs.io/
Source0:        https://pypi.org/simple/py/py-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildArch:      noarch

%description
The py lib is a Python development support library featuring the
following tools and modules:

  * py.path: uniform local and svn path objects
  * py.apipkg: explicit API control and lazy-importing
  * py.iniconfig: easy parsing of .ini files
  * py.code: dynamic code generation and introspection
  * py.path: uniform local and svn path objects

%package -n python3-py
Summary:        Python development support library
Requires:       python3-setuptools
Provides:       bundled(python3-apipkg) = 2.0
Provides:       bundled(python3-iniconfig) = 1.1.1

%description -n python3-py
The py lib is a Python development support library featuring the
following tools and modules:

  * py.path: uniform local and svn path objects
  * py.apipkg: explicit API control and lazy-importing
  * py.iniconfig: easy parsing of .ini files
  * py.code: dynamic code generation and introspection
  * py.path: uniform local and svn path objects



%prep
%autosetup -n py-%{version}

find . \
   -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} \; \
   -exec chmod u=rw,go=r {} \;



%build
%py3_build



%install
%py3_install

rm -rf %{buildroot}%{python3_sitelib}/py/_vendored_packages/*.{dist,egg}-info



%files -n python3-py
%license LICENSE
%doc CHANGELOG.rst README.rst
%{python3_sitelib}/py-*.egg-info/
%{python3_sitelib}/py/



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 27 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.11.0-1
- Initial building.
